Bug 390907 - Discover crashes when opening Flatpak bundle
Summary: Discover crashes when opening Flatpak bundle
Status: RESOLVED UPSTREAM
Alias: None
Product: Discover
Classification: Unclassified
Component: Flatpak Backend (show other bugs)
Version: 5.12.2
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2018-02-22 16:16 UTC by Łukasz Żarnowiecki
Modified: 2018-02-23 15:20 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
stacktrace (24.12 KB, text/plain)
2018-02-23 10:54 UTC, Łukasz Żarnowiecki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Łukasz Żarnowiecki 2018-02-22 16:16:21 UTC
Application: plasma-discover (5.12.2)

Qt Version: 5.10.1
Frameworks Version: 5.43.0
Operating System: Linux 4.15.4+ x86_64
Distribution (Platform): Archlinux Packages

-- Information about the crash:
When opening .flatpak bundle file, discovery crashes immediately.

The crash can be reproduced every time.

-- Backtrace:
Application: Odkrywca (plasma-discover), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f3097598800 (LWP 3798))]

Thread 21 (Thread 0x7f300ebb8700 (LWP 3826)):
#0  0x00007f3092bb197b in poll () at /usr/lib/libc.so.6
#1  0x00007f303f5dc47e in g_socket_condition_timed_wait () at /usr/lib/libgio-2.0.so.0
#2  0x00007f303f5dd3d8 in  () at /usr/lib/libgio-2.0.so.0
#3  0x00007f303f5c03a4 in g_input_stream_read () at /usr/lib/libgio-2.0.so.0
#4  0x00007f303449b439 in  () at /usr/lib/gio/modules/libgiognutls.so
#5  0x00007f301f4c69a8 in  () at /usr/lib/libgnutls.so.30
#6  0x00007f301f4c095c in  () at /usr/lib/libgnutls.so.30
#7  0x00007f301f4c7e94 in  () at /usr/lib/libgnutls.so.30
#8  0x00007f301f4cab9d in  () at /usr/lib/libgnutls.so.30
#9  0x00007f301f4ccf57 in gnutls_handshake () at /usr/lib/libgnutls.so.30
#10 0x00007f303449b866 in  () at /usr/lib/gio/modules/libgiognutls.so
#11 0x00007f303449bc89 in  () at /usr/lib/gio/modules/libgiognutls.so
#12 0x00007f303f5ed049 in  () at /usr/lib/libgio-2.0.so.0
#13 0x00007f308b20aca3 in  () at /usr/lib/libglib-2.0.so.0
#14 0x00007f308b20a26a in  () at /usr/lib/libglib-2.0.so.0
#15 0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 20 (Thread 0x7f300f3b9700 (LWP 3825)):
#0  0x00007f3092bb197b in poll () at /usr/lib/libc.so.6
#1  0x00007f308b1e1ff3 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f303e3f576f in  () at /usr/lib/libostree-1.so.1
#4  0x00007f308b20a26a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 19 (Thread 0x7f300ffff700 (LWP 3824)):
#0  0x00007f30902416fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f30932b6f51 in QWaitConditionPrivate::wait_relative(unsigned long) (time=30000, this=0x7f3010006c40) at thread/qwaitcondition_unix.cpp:133
#2  0x00007f30932b6f51 in QWaitConditionPrivate::wait(unsigned long) (time=30000, this=0x7f3010006c40) at thread/qwaitcondition_unix.cpp:141
#3  0x00007f30932b6f51 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x7f3010006910, mutex=mutex@entry=0x7f3010004bc0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f30932b2e21 in QThreadPoolThread::run() (this=0x7f3010006900) at thread/qthreadpool.cpp:146
#5  0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x7f3010006900) at thread/qthread_unix.cpp:376
#6  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 18 (Thread 0x7f301cd06700 (LWP 3823)):
#0  0x00007f30902416fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f30932b6f51 in QWaitConditionPrivate::wait_relative(unsigned long) (time=30000, this=0x7f3010005080) at thread/qwaitcondition_unix.cpp:133
#2  0x00007f30932b6f51 in QWaitConditionPrivate::wait(unsigned long) (time=30000, this=0x7f3010005080) at thread/qwaitcondition_unix.cpp:141
#3  0x00007f30932b6f51 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x7f3010004e40, mutex=mutex@entry=0x7f3010004bc0, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f30932b2e21 in QThreadPoolThread::run() (this=0x7f3010004e30) at thread/qthreadpool.cpp:146
#5  0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x7f3010004e30) at thread/qthread_unix.cpp:376
#6  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 17 (Thread 0x7f301d507700 (LWP 3822)):
#0  0x00007f3092bad3d8 in read () at /usr/lib/libc.so.6
#1  0x00007f308b2277d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f308b1e1ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f308b1e1f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f30934ff384 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f3010000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f30934a144b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f301d506da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f30932b081e in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:522
#8  0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x55bc67edfac0) at thread/qthread_unix.cpp:376
#9  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 16 (Thread 0x7f301ffff700 (LWP 3821)):
#0  0x00007f3092bb197b in poll () at /usr/lib/libc.so.6
#1  0x00007f308b1e1ff3 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f308b1e23b2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007f303f6326d8 in  () at /usr/lib/libgio-2.0.so.0
#4  0x00007f308b20a26a in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#6  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 15 (Thread 0x7f3035346700 (LWP 3820)):
#0  0x00007f3092bad3d8 in read () at /usr/lib/libc.so.6
#1  0x00007f308b2277d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f308b1e1ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f308b1e1f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f308b1e2162 in  () at /usr/lib/libglib-2.0.so.0
#6  0x00007f308b20a26a in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 14 (Thread 0x7f3036b49700 (LWP 3817)):
#0  0x00007f3092bc902f in __libc_enable_asynccancel () at /usr/lib/libc.so.6
#1  0x00007f3092bb1966 in poll () at /usr/lib/libc.so.6
#2  0x00007f308b1e1ff3 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f303e3f3ff6 in  () at /usr/lib/libostree-1.so.1
#5  0x00007f303e3be670 in  () at /usr/lib/libostree-1.so.1
#6  0x00007f303e3c7516 in ostree_repo_remote_fetch_summary_with_options () at /usr/lib/libostree-1.so.1
#7  0x00007f303e3aa5c7 in ostree_repo_remote_fetch_summary () at /usr/lib/libostree-1.so.1
#8  0x00007f303f934e73 in  () at /usr/lib/libflatpak.so.0
#9  0x00007f303f938791 in  () at /usr/lib/libflatpak.so.0
#10 0x00007f303f924712 in flatpak_installation_update_appstream_full_sync () at /usr/lib/libflatpak.so.0
#11 0x00007f303fdeabcd in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#12 0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x55bc67eccfa0) at thread/qthread_unix.cpp:376
#13 0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#14 0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 13 (Thread 0x7f303734a700 (LWP 3816)):
#0  0x00007f30902416fd in pthread_cond_timedwait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f30932b6f51 in QWaitConditionPrivate::wait_relative(unsigned long) (time=30000, this=0x55bc67ecce20) at thread/qwaitcondition_unix.cpp:133
#2  0x00007f30932b6f51 in QWaitConditionPrivate::wait(unsigned long) (time=30000, this=0x55bc67ecce20) at thread/qwaitcondition_unix.cpp:141
#3  0x00007f30932b6f51 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x55bc678a3ac0, mutex=mutex@entry=0x55bc67ea0880, time=30000) at thread/qwaitcondition_unix.cpp:215
#4  0x00007f30932b2e21 in QThreadPoolThread::run() (this=0x55bc678a3ab0) at thread/qthreadpool.cpp:146
#5  0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x55bc678a3ab0) at thread/qthread_unix.cpp:376
#6  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7f3055775700 (LWP 3815)):
#0  0x00007ffc213c6a6c in clock_gettime ()
#1  0x00007f3092bc9746 in clock_gettime () at /usr/lib/libc.so.6
#2  0x00007f30934fec72 in qt_clock_gettime (ts=0x7f3055774b80, clock=<optimized out>) at kernel/qelapsedtimer_unix.cpp:111
#3  0x00007f30934fec72 in do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at kernel/qelapsedtimer_unix.cpp:166
#4  0x00007f30934fec72 in qt_gettime() () at kernel/qelapsedtimer_unix.cpp:175
#5  0x00007f30934fd40a in QTimerInfoList::updateCurrentTime() (this=0x7f3038004cf0) at kernel/qtimerinfo_unix.cpp:91
#6  0x00007f30934ffaf6 in timerSourceCheckHelper (src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:146
#7  0x00007f30934ffaf6 in timerSourceCheck(GSource*) (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:173
#8  0x00007f308b1e19fa in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#9  0x00007f308b1e1f96 in  () at /usr/lib/libglib-2.0.so.0
#10 0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#11 0x00007f30934ff384 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f3038000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#12 0x00007f30934a144b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f3055774da0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#13 0x00007f30932b081e in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:522
#14 0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x55bc67e9cfb0) at thread/qthread_unix.cpp:376
#15 0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#16 0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7f30567fc700 (LWP 3813)):
#0  0x00007f3092bad3d8 in read () at /usr/lib/libc.so.6
#1  0x00007f308b2277d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f308b1e1ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f308b1e1f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f30934ff384 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f3044000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f30934a144b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f30567fbd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f30932b081e in QThread::exec() (this=this@entry=0x55bc67c0a790) at thread/qthread.cpp:522
#8  0x00007f309674953b in QQuickPixmapReader::run() (this=0x55bc67c0a790) at /tmp/makepkg/qt5-declarative-debug/src/qtdeclarative-everywhere-src-5.10.1/src/quick/util/qquickpixmapcache.cpp:887
#9  0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x55bc67c0a790) at thread/qthread_unix.cpp:376
#10 0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7f3056ffd700 (LWP 3809)):
#0  0x00007f30902413bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f306b404fbc in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007f306b404ec8 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7f30577fe700 (LWP 3808)):
#0  0x00007f30902413bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f306b404fbc in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007f306b404ec8 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7f3057fff700 (LWP 3807)):
#0  0x00007f30902413bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f306b404fbc in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007f306b404ec8 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7f30649e5700 (LWP 3806)):
#0  0x00007f30902413bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f306b404fbc in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007f306b404ec8 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f30651e6700 (LWP 3805)):
#0  0x00007f30902413bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f306b404fbc in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007f306b404ec8 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f30659e7700 (LWP 3804)):
#0  0x00007f30902413bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f306b404fbc in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007f306b404ec8 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f3066b67700 (LWP 3803)):
#0  0x00007f30902413bd in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#1  0x00007f306b404fbc in  () at /usr/lib/dri/radeonsi_dri.so
#2  0x00007f306b404ec8 in  () at /usr/lib/dri/radeonsi_dri.so
#3  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#4  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f307a045700 (LWP 3801)):
#0  0x00007f3092bb197b in poll () at /usr/lib/libc.so.6
#1  0x00007f308b1e1ff3 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f30934ff384 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f306c000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f30934a144b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f307a044d80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#5  0x00007f30932b081e in QThread::exec() (this=this@entry=0x55bc678f8040) at thread/qthread.cpp:522
#6  0x00007f3093eba3b9 in QQmlThreadPrivate::run() (this=0x55bc678f8040) at /tmp/makepkg/qt5-declarative-debug/src/qtdeclarative-everywhere-src-5.10.1/src/qml/qml/ftw/qqmlthread.cpp:147
#7  0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x55bc678f8040) at thread/qthread_unix.cpp:376
#8  0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f307b256700 (LWP 3800)):
#0  0x00007f3092bad3d8 in read () at /usr/lib/libc.so.6
#1  0x00007f308b2277d1 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f308b1e1ac8 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#3  0x00007f308b1e1f96 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#5  0x00007f30934ff384 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f3074000b20, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f30934a144b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f307b255d70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#7  0x00007f30932b081e in QThread::exec() (this=this@entry=0x7f309548b080 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread.cpp:522
#8  0x00007f3095216b26 in QDBusConnectionManager::run() (this=0x7f309548b080 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:178
#9  0x00007f30932b5bbd in QThreadPrivate::start(void*) (arg=0x7f309548b080 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:376
#10 0x00007f309023b08c in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f3092bbbe7f in clone () at /usr/lib/libc.so.6

Thread 1 (Thread 0x7f3097598800 (LWP 3798)):
[KCrash Handler]
#5  0x00007f303f33f31f in g_type_check_instance_is_fundamentally_a () at /usr/lib/libgobject-2.0.so.0
#6  0x00007f303f31cb6f in g_object_ref () at /usr/lib/libgobject-2.0.so.0
#7  0x00007f303fdddde7 in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#8  0x00007f303fde8046 in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#9  0x00007f303fde87ab in  () at /usr/lib/qt/plugins/discover/flatpak-backend.so
#10 0x00007f30963d78ee in ResourcesModel::resourceForFile(QUrl const&) () at /usr/lib/plasma-discover/libDiscoverCommon.so
#11 0x000055bc6667c95b in  ()
#12 0x000055bc6667fbc2 in  ()
#13 0x00007f30934d385f in QtPrivate::QSlotObjectBase::call(QObject*, void**) (a=0x7ffc21380450, r=0x55bc67b60b00, this=0x55bc67df08c0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:378
#14 0x00007f30934d385f in QMetaObject::activate(QObject*, int, int, void**) (sender=0x55bc6794d0c0, signalOffset=<optimized out>, local_signal_index=<optimized out>, argv=<optimized out>) at kernel/qobject.cpp:3750
#15 0x00007f30963d8831 in ResourcesModel::registerAllBackends() () at /usr/lib/plasma-discover/libDiscoverCommon.so
#16 0x00007f30963ffc16 in  () at /usr/lib/plasma-discover/libDiscoverCommon.so
#17 0x00007f30934d4182 in QObject::event(QEvent*) (this=0x55bc6794d0c0, e=<optimized out>) at kernel/qobject.cpp:1247
#18 0x00007f3094afb07c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x55bc677f82a0, receiver=receiver@entry=0x55bc6794d0c0, e=e@entry=0x55bc6794bca0) at kernel/qapplication.cpp:3732
#19 0x00007f3094b02a56 in QApplication::notify(QObject*, QEvent*) (this=0x7ffc21380b90, receiver=0x55bc6794d0c0, e=0x55bc6794bca0) at kernel/qapplication.cpp:3491
#20 0x00007f30934a2e10 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x55bc6794d0c0, event=event@entry=0x55bc6794bca0) at kernel/qcoreapplication.cpp:1050
#21 0x00007f30934a5a76 in QCoreApplication::sendEvent(QObject*, QEvent*) (event=0x55bc6794bca0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#22 0x00007f30934a5a76 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x55bc677f7160) at kernel/qcoreapplication.cpp:1740
#23 0x00007f30934a600a in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1594
#24 0x00007f30934ffd74 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x55bc6785a490) at kernel/qeventdispatcher_glib.cpp:276
#25 0x00007f308b1e1e38 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#26 0x00007f308b1e2081 in  () at /usr/lib/libglib-2.0.so.0
#27 0x00007f308b1e210e in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#28 0x00007f30934ff361 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55bc67862db0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#29 0x00007f30870d4c62 in QPAEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x55bc67862db0, flags=...) at qeventdispatcher_glib.cpp:69
#30 0x00007f30934a144b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffc21380ab0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:212
#31 0x00007f30934aa848 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1338
#32 0x000055bc66678def in  ()
#33 0x00007f3092ae6f4a in __libc_start_main () at /usr/lib/libc.so.6
#34 0x000055bc6667907a in _start ()

Reported using DrKonqi
Comment 1 Aleix Pol 2018-02-22 18:25:47 UTC
Can you reproduce? Could you try and reproduce with debug symbols installed please?
Comment 2 Łukasz Żarnowiecki 2018-02-23 10:54:36 UTC
Created attachment 110925 [details]
stacktrace
Comment 3 Aleix Pol 2018-02-23 15:17:59 UTC
Just submitted a patch to appstream not to crash:
https://github.com/ximion/appstream/pull/177
Comment 4 Aleix Pol 2018-02-23 15:20:08 UTC
Git commit 536a99716e89f8c5a0ba3d64889db6723550293f by Aleix Pol.
Committed on 23/02/2018 at 15:19.
Pushed by apol into branch 'Plasma/5.12'.

No reason to clear something that was never initialized

M  +0    -1    libdiscover/backends/FlatpakBackend/FlatpakBackend.cpp

https://commits.kde.org/discover/536a99716e89f8c5a0ba3d64889db6723550293f